'跨进程通信，发送数据给别的窗口
'接受方代码：
'    Local aa As COPYDATASTRUCT,bb As String                       
'    If wMsg=WM_COPYDATA Then
'          FF_MemCopy( lParam, VarPtr(aa) , SizeOf(aa) )
'          bb= String(aa.cbData ,0)
'          FF_MemCopy( aa.lpData,StrPtr(bb) ,aa.cbData )
'          FF_yfList_AddString( HWND_FORM1_YFLIST1,Now & "|w=" & Format(wParam) & ",l=" & Format(aa.dwData) & ",s=" & bb, 0 )
'          FF_yfList_Refresh( HWND_FORM1_YFLIST1 )
'    End If
Function SendDateWnd(sHWnd as HWnd, wParam as wParam, lParam as lParam, sSrt as String) as Long '跨进程通信
   Dim Param  as COPYDATASTRUCT  'dwData|cbData|lpData

    If Len(sSrt) Then
      Param.lpData = StrPtr(sSrt)
      Param.cbData = Len(sSrt)
    End If
      Param.dwData = lParam
 
      Function= SendMessageW( sHWnd, WM_COPYDATA,wParam,Cast( lParam, VarPtr(Param) ) )
       
'       Public Type COPYDATASTRUCT
'    附加 As Long
'    数长 As Long
'    数据 As Long
'End Type

End Function